Skip to main content
GET
/
jobs
/
{job_posting_id}
/
applications
List Applications for a Job
curl --request GET \
  --url https://api.talentunveiled.com/api/v1/jobs/{job_posting_id}/applications \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "applied",
      "created_at": "2023-11-07T05:31:56Z",
      "candidate": {
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>",
        "email": "jsmith@example.com"
      },
      "pre_screening": {
        "completed_at": "<string>",
        "questions": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "question": "<string>",
            "answer": "<unknown>",
            "is_knockout": true,
            "options": [
              "<string>"
            ]
          }
        ]
      },
      "job": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>"
      },
      "overall_score": 123,
      "cv_score": 123,
      "interview_score": 123,
      "hiring_recommendation": "<string>",
      "tagline_summary": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Authorizations

Authorization
string
header
required

API key authentication for public API. Format: {8_char_prefix}.{32_char_secret}

Path Parameters

job_posting_id
string<uuid>
required

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

status
string

Filter by application status

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"